3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php class UberException extends Exception { public function __construct() { $refTrace = new ReflectionProperty('Exception', 'trace'); $refTrace->setAccessible(true); $refTrace->setValue($this, array(array('file' => 'data.php', 'line' => 20, 'function' => 'super', 'args' => array()))); } } function test() { throw new UberException(); } try { test(); } catch (Exception $e) { var_dump($e->getTrace()); throw $e; }
Output for 7.0.0 - 7.1.0
array(1) { [0]=> array(4) { ["file"]=> string(8) "data.php" ["line"]=> int(20) ["function"]=> string(5) "super" ["args"]=> array(0) { } } } Fatal error: Uncaught UberException in /in/7sFGC:14 Stack trace: #0 data.php(20): super() #1 {main} thrown in /in/7sFGC on line 14
Process exited with code 255.
Output for hhvm-3.10.0 - 3.12.0
array(1) { [0]=> array(4) { ["file"]=> string(8) "data.php" ["line"]=> int(20) ["function"]=> string(5) "super" ["args"]=> array(0) { } } } Fatal error: Uncaught exception 'UberException' with message '' in /in/7sFGC:14 Stack trace: #0 data.php(20): super() #1 {main}
Process exited with code 255.
Output for 5.3.0 - 5.6.28
array(1) { [0]=> array(4) { ["file"]=> string(8) "data.php" ["line"]=> int(20) ["function"]=> string(5) "super" ["args"]=> array(0) { } } } Fatal error: Uncaught exception 'UberException' in /in/7sFGC:14 Stack trace: #0 data.php(20): super() #1 {main} thrown in /in/7sFGC on line 14
Process exited with code 255.
Output for 5.0.0 - 5.2.17
Fatal error: Call to undefined method ReflectionProperty::setAccessible() in /in/7sFGC on line 8
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /in/7sFGC on line 5
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /in/7sFGC on line 5
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error, expecting `T_OLD_FUNCTION' or `T_FUNCTION' or `T_VAR' or `'}'' in /in/7sFGC on line 5
Process exited with code 255.